com.rscja.team.qcom.deviceapi

## Class UHFProtocolParseUSBByJava_qcom

- java.lang.Object
- - com.rscja.team.qcom.deviceapi.UHFProtocolParseByJava
  - - com.rscja.team.qcom.deviceapi.UHFProtocolParseUSBByJava_qcom

- All Implemented Interfaces:
    IUHFProtocolParse

      public class UHFProtocolParseUSBByJava_qcom
      extends UHFProtocolParseByJava

  R6、R3 usb通讯特有数据解析
  Author:
    zhoupin

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UHFProtocolParseUSBByJava_qcom()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getReadTagSendData()` 获取在循环盘点标签的模式中,读取缓存标签的发送数据
    `UHFTAGInfo` | `parseInventorySingleTagData(byte[] inData)` 解析单次盘点标签返回的数据
    `java.util.ArrayList<UHFTAGInfo>` | `parseReadTagDataEPC_TID_USER(UHFDataHandleBase.CMDInfo inData)`

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.UHFProtocolParseByJava

      `barcodeScanTimeOutSend, blinkOfLedSendData, blockEraseDataSendData, blockWriteDataSendData, btDeleteAllTagToFlashSendData, btGetAllTagNumFromFlashSendData, btGetNewTagNumFromFlashSendData, btGetTagDataFromFlashSendData, closeLedSendData, enableBarcodeACK, GBTagLockSendData, generateLockCode, getBatterySendData, getBeepSendData, getCWSendData, getEPCTIDModeSendData, getFastIDSendData, getFrequencyModeSendData, getGen2SendData, getInstance, getInventorySingleTagSendData, getInventorySingleTagSendData, getKillSendData, getLockSendData, getParameterSendData, getPowerSendData, getProtocolSendData, getReaderAwaitSleepTimeSendData, getReadSendData, getRFLinkSendData, getScanBarcodeInBlinkModeSendData, getScanBarcodeInTriggleModeSendData, getScanBarcodeSendData, getSetSoftResetSendData, getStartInventoryTagSendData, getStartInventoryTagSendData, getSTM32VersionSendData, getStopInventorySendData, getStopScanBarcodeInBlinkModeSendData, getStopScanBarcodeInTriggleModeSendData, getTagfocusSendData, getTemperatureSendData, getUserSettingSendData, getVersionSendData, getWriteSendData, isBarcodeDataContainSSIIDSend, isBarcodeDataContainTypeSend, makeSendData, openLedSendData, parseBarcodeData, parseBatteryData, parseBeepData, parseBlinkOfLedData, parseBlockEraseDataData, parseBlockWriteData, parseBtDeleteAllTagToFlashData, parseBtGetAllTagNumFromFlashData, parseBtGetNewTagNumFromFlashData, parseBtGetTagDataFromFlashData, parseCloseLedData, parseContinuousInventoryTagData, parseContinuousInventoryTagData, parseFastIdData, parseGBTagLockData, parseGetCWData, parseGetEPCTIDModeData, parseGetFastIdData, parseGetFrequencyModeData, parseGetGen2Data, parseGetParameterData, parseGetPowerAllData, parseGetPowerData, parseGetProtocolData, parseGetReaderAwaitSleepTimeData, parseGetRFLinkData, parseGetTagfocusData, parseGetUserSettingData, parseisBarcodeDataContainSSIIDData, parseisBarcodeDataContainTypeData, parseisBarcodeScanTimeOutData, parseKillData, parseLockData, parseOpenLedData, parseReadData, parseReadTagData_EPC, parseReadTagDataEPC_TID_USER, parserUhfTagBuff_EPC_TID_USER, parserUhfTagBuff_EPC_TID_USER, parseScanBarcodeInBlinkModeData, parseScanBarcodeInTriggleModeData, parseSetBarcodeSSIDData, parseSetBarcodeTypeData, parseSetBeepTimeOfDuration, parseSetCWData, parseSetEPCAndTIDModeData, parseSetEPCAndTIDUserModeData, parseSetEPCModeData, parseSetFilterData, parseSetFrequencyModeData, parseSetGen2Data, parseSetJumpFrequencyData, parseSetParameterData, parseSetPowerData, parseSetPowerOnDynamicData, parseSetProtocolData, parseSetR6WorkModeData, parseSetReaderAwaitSleepTimeData, parseSetRFLinkData, parseSetSoftResetData, parseSetTagfocusData, parseSetUserSettingData, parseStartInventoryTagData, parseSTM32VersionData, parseStopInventoryData, parseStopScanBarcodeInBlinkModeData, parseStopScanBarcodeInTriggleModeData, parseTemperatureData, parseUHFJump2BootData, parseUHFStartUpdateData, parseUHFStopUpdateData, parseUHFUpdatingData, parseVersionData, parseWriteData, requestGetBeepSendData, requestGetEx10SDKFirmware, requestGetFastInventoryMode, requestInventoryTempTag, requestSetFastInventoryMode, responseGetEx10SDKFirmware, responseGetFastInventoryMode, responseSetFastInventoryMode, respparseBeepData, setBarcodeSSIID, setBarcodeType, setBeepTimeOfDurationSendData, setCWSendData, setEPCAndTIDModeSendData, setEPCAndTIDUserModeSendData, setEPCAndTIDUserModeSendData, setEPCModeSendData, setFastIdSendData, setFilterSendData, setFrequencyModeSendData, setGen2SendData, setIndexData, setInventoryMessageModeSendData, setJumpFrequencySendData, setParameterSendData, setPowerOnDynamicSendData, setPowerSendData, setPowerSendData, setProtocolSendData, setR6WorkmodeSendData, setReaderAwaitSleepTimeSendData, setRFLinkSendData, setTagfocusSendData, setUserSettingSendData, stop2DSendData, uhfJump2BootSendData, uhfStartUpdateSendData, UHFStopUpdateSendData, uhfUpdatingSendData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UHFProtocolParseUSBByJava_qcom

          public UHFProtocolParseUSBByJava_qcom()

  - ### Method Detail

    - #### getReadTagSendData

          public byte[] getReadTagSendData()

      Description copied from interface: `IUHFProtocolParse`
      获取在循环盘点标签的模式中,读取缓存标签的发送数据
      Specified by:
        `getReadTagSendData` in interface `IUHFProtocolParse`
      Overrides:
        `getReadTagSendData` in class `UHFProtocolParseByJava`
      Returns:
        发送的数据

    - #### parseReadTagDataEPC_TID_USER

          public java.util.ArrayList<UHFTAGInfo> parseReadTagDataEPC_TID_USER(UHFDataHandleBase.CMDInfo inData)

    - #### parseInventorySingleTagData

          public UHFTAGInfo parseInventorySingleTagData(byte[] inData)

      Description copied from interface: `IUHFProtocolParse`
      解析单次盘点标签返回的数据
      Specified by:
        `parseInventorySingleTagData` in interface `IUHFProtocolParse`
      Overrides:
        `parseInventorySingleTagData` in class `UHFProtocolParseByJava`
      Returns:
        返回单次盘点标签的数据